Bug 812613 - [abrt] gnote-0.8.2-2.fc17: __GI_exit: Process /usr/bin/gnote was killed by signal 11 (SIGSEGV)
[abrt] gnote-0.8.2-2.fc17: __GI_exit: Process /usr/bin/gnote was killed by si...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnote (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:45aa844c1a909a551f9cbb8e794...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 08:27 EDT by Joerg Skottke
Modified: 2013-08-01 00:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:46:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.86 KB, text/plain)
2012-04-15 08:27 EDT, Joerg Skottke
no flags Details
File: maps (45.20 KB, text/plain)
2012-04-15 08:27 EDT, Joerg Skottke
no flags Details
File: dso_list (9.50 KB, text/plain)
2012-04-15 08:27 EDT, Joerg Skottke
no flags Details

  None (edit)
Description Joerg Skottke 2012-04-15 08:27:10 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnote
comment:        Close a gnote window
crash_function: __GI_exit
executable:     /usr/bin/gnote
kernel:         3.3.1-5.fc17.x86_64
pid:            1707
pwd:            /home/skotti
remote_result:  684140
time:           So 15 Apr 2012 14:17:06 CEST
uid:            1000
username:       skotti
xsession_errors: (gnote:1707): GLib-GIO-CRITICAL **: GApplication subclass 'GnoteApp' failed to chain up on ::startup (from start of override function)

backtrace:      Text file, 36722 bytes
dso_list:       Text file, 9732 bytes
maps:           Text file, 46283 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/skotti/3

core_backtrace:
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0x7bcab malloc_consolidate libc.so.6 -
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0x7c6b8 _int_free libc.so.6 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x4d39f g_free libglib-2.0.so.0 -
:fd6500ced2b0f02efe3689d05009499035e1a5c9 0x6f37 - libgdk_pixbuf-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x145db g_object_unref libgobject-2.0.so.0 -
:12eb778c80130cafc190181c81afc5f64719128a 0x1d8237 Glib::RefPtr<Gdk::Pixbuf>::~RefPtr() [exe] -
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0x38b61 __run_exit_handlers libc.so.6 -
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0x38be5 exit libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=duffy.gleitmeier.de
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/skotti/keyring-Bzx4za
:IMSETTINGS_MODULE=none
:USER=skotti
:USERNAME=skotti
:MAIL=/var/spool/mail/skotti
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/skotti/.local/bin:/home/skotti/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/skotti
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1091
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/skotti
:SHLVL=1
:LOGNAME=skotti
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-iRrpEoGk5c,guid=3d89cc5f1709bf2ad8517c5400000438
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/skotti
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-skotti-wjLNfV/database
:CCACHE_HASHDIR=
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1097,unix/unix:/tmp/.ICE-unix/1097
:SSH_AUTH_SOCK=/run/user/skotti/keyring-Bzx4za/ssh
:GPG_AGENT_INFO=/run/user/skotti/keyring-Bzx4za/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnote.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1707
:DESKTOP_STARTUP_ID=gnome-shell-1660-duffy.gleitmeier.de-gnote-0_TIME1367176

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63218                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63218                63218                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/skotti/.xsession-errors
:pos:	3727
:flags:	0102002
:2:/home/skotti/.xsession-errors
:pos:	3727
:flags:	0102002
:3:socket:[21035]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[48683]
:pos:	0
:flags:	02004002
:6:socket:[48684]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 1a9e31d6-faa8-48d1-8baf-b79ccab0ae5c
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 6829.96
:CPU-Anbieter: AuthenticAMD
:CPU-Modell: AMD Phenom(tm) II X4 965 Processor
:CPU-Stepping: 3
:CPU Familie: 16
:CPU-Modellnummer: 4
:Anzahl der CPUs: 4
:CPU-Geschwindigkeit: 3400
:Systemspeicher: 7985
:System-Swap: 8191
:Anbieter: Gigabyte Technology Co., Ltd.
:System: GA-790XTA-UD4 
:Form-Faktor: Desktop
:Kernel: 3.3.1-5.fc17.x86_64
:SELinux aktiviert: 0
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(4098:22908:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port C)
:(4098:17297:5208:45058) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:22909:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port D)
:(4098:22911:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port F)
:(4318:3054:4272:1025) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:22872:4098:22872) pci, None, HOST/PCI, RD780 Northbridge only dual slot PCI-e_GFX and HT1 K8 part
:(4147:404:5208:20487) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4098:22904:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (external gfx0 port A)
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(6987:37283:5208:45056) pci, ahci, STORAGE, N/A
:(6523:9059:5208:45056) pci, pata_jmicron, STORAGE, GA-EP45-DS5 Motherboard
:(6523:9059:5208:45056) pci, ahci, STORAGE, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, None, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:4676:4272:1025) pci, nvidia, VIDEO, GF116 [GeForce GTX 550 Ti]
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:22907:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port B)
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 29261978 27620182 26154966 7331840 7149341 7149341
:/dev/sdb5 /tmp ext4 4096 4096 4059905 3966930 3763244 1020000 1019893 1019893
:/dev/sdb4 /home ext4 4096 4096 212207703 128775669 118154596 53108736 52979692 52979692
:

var_log_messages:
:Apr 15 14:16:21 duffy yum[1637]: Installed: gnote-0.8.2-2.fc17.x86_64
:Apr 15 14:17:06 duffy kernel: [ 1381.701359] gnote[1707]: segfault at 300018 ip 00007f2e2ac13cab sp 00007fff3259ee70 error 4 in libc-2.15.so[7f2e2ab98000+1ac000]
:Apr 15 14:17:06 duffy abrt[1714]: Saved core dump of pid 1707 (/usr/bin/gnote) to /var/spool/abrt/ccpp-2012-04-15-14:17:06-1707 (39145472 bytes)
Comment 1 Joerg Skottke 2012-04-15 08:27:17 EDT
Created attachment 577532 [details]
File: backtrace
Comment 2 Joerg Skottke 2012-04-15 08:27:20 EDT
Created attachment 577533 [details]
File: maps
Comment 3 Joerg Skottke 2012-04-15 08:27:22 EDT
Created attachment 577534 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 20:45:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 00:46:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.